Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
ThanhDattdk

Mã Dxf Của Điểm Gốc Chèn Hatch ( Tọa Độ Điểm Màu Xanh Trong Ctrl+1)

Các bài được khuyến nghị

Em xin chào các bác. Em có tìm đoạn code để xác định tọa độ điểm màu xanh như trong hình của Htach nhưng không thấy. Khi entget nó thì có nhiều mã 10 quá. Bác nào chỉ biết chỉ giúp em với. Cảm ơn mọi người154132_untitled_1.jpg

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không có trọng tâm cho hatch đâu, bạn nên tạo region rồi dùng vla-get-centroid. nếu pline thì search trên mạng từ này:(defun vl-pline-centroid

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào ThanhDattdk,

 

Hì vấn đề này xem ra khó nhỉ

Mình ko biết cái điểm xanh đó nó có đặc tính gì, có liên quan hình học gì đến Poly bao của HATCH? Một đôi khi mình thấy nó lại biến mất (hình như là nằm trùng với 1 cạnh). Bạn có thể cho biết vấn đề nào đã dẫn Bạn đến việc phải nắm cái điểm xanh đó không? Bạn nắm tọa độ điểm đó để làm gì?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cảm ơn bạn. Mình muốn điền text vào vị trí điểm màu xanh đó ( đại loại là chọn hàng loạt Hatch và điền 1 text nào đó tại điểm tâm Hatch đó cho dễ nhìn, vì mình có xem qua mã DXF của hatch mà không biết nên xác định điểm nào để cho dễ coi mà click vào thấy điểm màu xanh đó nên thắc mắc xem có cách nào xđ điểm đó không.

Mình đã khắc phục bằng dòng lệnh sau, thấy cũng tạm ổn

 

(setq  Rec (acet-ent-geomextents e)

  pt1 (nth 0 Rec);lay dinh
  pt2 (nth 1 Rec);lay dinh 
  mid (acet-geom-midpoint pt1 pt2))
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Cảm ơn bạn. Mình muốn điền text vào vị trí điểm màu xanh đó ( đại loại là chọn hàng loạt Hatch và điền 1 text nào đó tại điểm tâm Hatch đó cho dễ nhìn, vì mình có xem qua mã DXF của hatch mà không biết nên xác định điểm nào để cho dễ coi mà click vào thấy điểm màu xanh đó nên thắc mắc xem có cách nào xđ điểm đó không.

Mình đã khắc phục bằng dòng lệnh sau, thấy cũng tạm ổn

 

Ái chà khen Bạn 1 cái... Thì ra nó là điểm tâm hình chữ nhật bao ngoài cái HATCH (chỉ đúng với các HATCH không có cung tròn), hèn gì mà mình thay đổi 1 số đình HATCH mà nó cũng ko dịch chuyển gì. Nhưng cái điểm này 1 đôi khi nó lại nằm ngoài vùng HATCH bạn nhỉ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
(defun c:foo()
(vla-getboundingbox (vlax-ename->vla-object (car(entsel))) 'p1 'p2)
(entmake (list (cons 0 "CIRCLE")(cons 10
(mapcar '* (mapcar '+ (vlax-safearray->list p1) (vlax-safearray->list p2)) '(0.5 0.5 0.5))
)(cons 40 100)
)))

^^ Là tâm boundingbox

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
(defun c:foo()
(vla-getboundingbox (vlax-ename->vla-object (car(entsel))) 'p1 'p2)
(entmake (list (cons 0 "CIRCLE")(cons 10
(mapcar '* (mapcar '+ (vlax-safearray->list p1) (vlax-safearray->list p2)) '(0.5 0.5 0.5))
)(cons 40 100)
)))

^^ Là tâm boundingbox

 

em cảm ơn anh nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×